function PlayerMenu:_create_hands()
	local controller_rotation = Rotation()

	if managers.vr:is_oculus() then
		controller_rotation = Rotation(math.X, -30)
	end

	local vr_left = "units/pd2_dlc_vr/player/vr_hand_left"
	local vr_right = "units/pd2_dlc_vr/player/vr_hand_right"
	if(managers.dlc:is_dlc_unlocked("pgo")) then
		vr_left = "units/pd2_dlc_vr/player/vr_hand_left_kids"
		vr_right = "units/pd2_dlc_vr/player/vr_hand_right_kids"
	end
	
	if self._is_start_menu then
		self._hands = {
			PlayerMenuHandUnit:new({
				unit_name = Idstring(vr_right),
				base_rotation = Rotation(math.X, -50),
				base_rotation_controller = controller_rotation,
				base_position = Vector3(0, -2, -7),
				laser_orientation_object = Idstring("a_laser"),
				player_unit = self._mover_unit
			}),
			PlayerMenuHandUnit:new({
				unit_name = Idstring(vr_left),
				base_rotation = Rotation(math.X, -50),
				base_rotation_controller = controller_rotation,
				base_position = Vector3(0, -2, -7),
				laser_orientation_object = Idstring("a_laser"),
				player_unit = self._mover_unit
			})
		}
		self._hands[1]:configure(self._hands[2])
		self._hands[2]:configure(self._hands[1])
	else
		self._hands = {
			PlayerMenuHandObject:new({
				default_state = "idle",
				states = {
					idle = MenuRoom:get_object(Idstring("g_gloves_idle_right")),
					laser = MenuRoom:get_object(Idstring("g_gloves_laser_right"))
				},
				base_rotation = Rotation(math.X, -50),
				base_rotation_controller = controller_rotation,
				base_position = Vector3(0, -2, -7),
				laser_orientation_object = MenuRoom:get_object(Idstring("a_laser_right"))
			}),
			PlayerMenuHandObject:new({
				default_state = "idle",
				states = {
					idle = MenuRoom:get_object(Idstring("g_gloves_idle_left")),
					laser = MenuRoom:get_object(Idstring("g_gloves_laser_left"))
				},
				base_rotation = Rotation(math.X, -50),
				base_rotation_controller = controller_rotation,
				base_position = Vector3(0, -2, -7),
				laser_orientation_object = MenuRoom:get_object(Idstring("a_laser_left"))
			})
		}
	end
end
